Package org.drinkless.tdlib

# Class TdApi.PaymentResult

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PaymentResult

Enclosing class:
  `TdApi`

public static class TdApi.PaymentResult extends TdApi.Object
Contains the result of a payment request.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `success`
  True, if the payment request was successful; otherwise, the verificationUrl will be non-empty.
  `String`
  `verificationUrl`
  URL for additional payment credentials verification.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaymentResult()`
  Contains the result of a payment request.
  `PaymentResult(boolean success, String verificationUrl)`
  Contains the result of a payment request.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### success

    public boolean success
    True, if the payment request was successful; otherwise, the verificationUrl will be non-empty.

  - ### verificationUrl

    public String verificationUrl
    URL for additional payment credentials verification.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PaymentResult

    public PaymentResult()
    Contains the result of a payment request.

  - ### PaymentResult

    public PaymentResult(boolean success, String verificationUrl)
    Contains the result of a payment request.
    Parameters:
      `success` - True, if the payment request was successful; otherwise, the verificationUrl will be non-empty.
      `verificationUrl` - URL for additional payment credentials verification.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR